import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:flutter/foundation.dart';

/// JsonTransformer
class JsonTransformer extends DefaultTransformer {
  JsonTransformer() : super(jsonDecodeCallback: parseJson);
}

// Must be top-level function
_parseAndDecode(String response) {
  return jsonDecode(response);
}

parseJson(String text) {
  return compute(_parseAndDecode, text);
}
