import 'package:d_dio/d_dio.dart';

typedef CacheReader = T? Function<T>(String key, {T? defaultValue});

typedef CacheSaver = Function<T>(String key, T value);

typedef JsonConvert = T? Function<T>(dynamic json);

typedef ErrorHandler = void Function(BaseRespEntity resp);
