import 'package:dio/adapter.dart';
import 'package:dio/dio.dart';
import 'package:firebase_performance_dio/firebase_performance_dio.dart';

void setDioClientImpl(Dio dio, String? proxy) {
  dio.interceptors.add(DioFirebasePerformanceInterceptor());

  ///忽略SSL证书认证
  (dio.httpClientAdapter as DefaultHttpClientAdapter).onHttpClientCreate =
      (client) {
    client.badCertificateCallback = (_, __, ___) => true;
    if (proxy != null && proxy.isNotEmpty) {
      client.findProxy = (_) => 'PROXY $proxy';
    }
    return client;
  };
}
